> For the complete documentation index, see [llms.txt](https://docs.alcor.exchange/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.alcor.exchange/developers-api/api/websocket.md).

# WebSocket

Alcor Exchange using Socket.IO for interact via WebSocket technology.

#### There are two commands for subscribing to and channel with specific information.

1. **subscribe:** Subscribing for an specific room.
2. **unsubscribe:** Unsubscribe from sprcific room.

#### Available rooms, and params that they receive.

1. **deals:** chain, market. -> Subscribe to new deals. (first update will be last 200 deals).
2. **ticker:** chain, market, resolution. -> Subscribe to chart updates.
3. **account**: chain, name. -> Subscribe to account notifications. (only order match for now)
4. **orderbook:** chain, side(sell/buy), market(id). -> Subscribe to orderbook updates. (first update is full order book state)

Currect events to receive:

* match: Account new match
* orderbook\_sell: new orderbook update on sell side
* orderbook\_buy: new orderbook update on sell buy
* new\_deals: update on new deal on specific market

#### Example of connection:

```
import { io } from 'socket.io-client'
const socket = io('https://alcor.exchange')

// Subscribe to deals
socket.emit('subscribe', { room: 'deals', params: { chain: 'wax', market: 26 } })

// Unsubscribe from deals (will unsubscribe from all markets)
socket.emit('unsubscribe', { room: 'deals', params: { chain: 'wax' } })

// Subscribe to buy orderbook of 26 (TLM on wax) market.
socket.emit('subscribe', { room: 'orderbook', params: { chain: 'wax', market: 26, side: 'buy' } })

// Unsubscribe from orderbook (all, buy and sell)
socket.emit('unsubscribe', { room: 'orderbook', params: { chain: 'wax', market: 26 } })

// Subscribe to account updates
socket.emit('subscribe', { room: 'account', params: { chain: 'wax', 'name': 'avra.pro' } })


// Listen for updates

// On account new match
socket.on('match', match => { ... })

// On orderbook update (bid for example)
socket.on('orderbook_buy', bids => { ... })

// On new deals of market
socket.on('new_deals', deals => { ... })
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.alcor.exchange/developers-api/api/websocket.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
